# OAuth

> Request access tokens with the authorization code, client credentials or refresh token grant, validate tokens and test access with the OAuth endpoints.

- **Product:** DS Server
- **Section:** Documentation
- **Kind:** Endpoint
- **Path:** DS Server > API Reference > Web API > OAuth
- **Web URL:** https://docs.textcontrol.com/ds-server/reference/web-api/oauth/
- **LLMs URL:** https://docs.textcontrol.com/ds-server/reference/web-api/oauth/llms.txt
- **LLMs-Full URL:** https://docs.textcontrol.com/ds-server/reference/web-api/oauth/llms-full.txt

---

## In This Section

- [/oauth/authorize](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/llms.txt): The /oauth/authorize endpoint of the DS Server Web API and its GET method, which redirects to a redirect URI with an authorization code or access token.
- [/oauth/test](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/test/llms.txt): The /oauth/test endpoint of the DS Server Web API and its GET method, which tells whether the access token of a request grants access without doing any work.
- [/oauth/token](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/token/llms.txt): The /oauth/token endpoint of the DS Server Web API and its POST method, which issues access tokens for the code, client credentials and refresh token grants.
- [/oauth/validatetoken](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/validatetoken/llms.txt): The /oauth/validatetoken endpoint of the DS Server Web API and its POST method, which answers true or false for an access token this instance issued.

---

## Nearby

- **Previous:** [GET /documentprocessing/barcodes/istextvalid](https://docs.textcontrol.com/ds-server/reference/web-api/documentprocessing/barcodes-istextvalid/get/llms.txt)
- **Next:** [/oauth/authorize](https://docs.textcontrol.com/ds-server/reference/web-api/oauth/authorize/llms.txt)
